	.file	"sum.c"
	.intel_syntax noprefix
	.text
	.def	__main;	.scl	2;	.type	32;	.endef
	.section .rdata,"dr"
.LC0:
	.ascii "i value is %u \12\0"
	.text
	.globl	main
	.def	main;	.scl	2;	.type	32;	.endef
	.seh_proc	main
main:
	push	rbp
	.seh_pushreg	rbp
	mov	rbp, rsp
	.seh_setframe	rbp, 0
	sub	rsp, 48
	.seh_stackalloc	48
	.seh_endprologue
	call	__main

	mov	DWORD PTR -4[rbp], 16
	mov	eax, DWORD PTR -4[rbp]
	mov	edx, eax
	lea	rcx, .LC0[rip]
	call	printf

	mov	DWORD PTR -4[rbp], 8
	mov	eax, DWORD PTR -4[rbp]
	mov	edx, eax
	lea	rcx, .LC0[rip]
	call	printf

	mov	DWORD PTR -4[rbp], 8
	mov	eax, DWORD PTR -4[rbp]
	mov	edx, eax
	lea	rcx, .LC0[rip]
	call	printf


	mov	eax, 0
	add	rsp, 48
	pop	rbp
	ret
	.seh_endproc
	.ident	"GCC: (tdm64-1) 9.2.0"
	.def	printf;	.scl	2;	.type	32;	.endef
